Changes affecting dependencies (new major number)

Abort the build if the .ali files changed with the same debian
aliversion (which is in the -dev package name).
Discuss the idea with users first.
See TODO.check_aliversion. Only keep checksums, timestamps should be
ignored (because of SOURCE_DATE_EPOCH for example).

Include checks that lintian cannot do as it cannot
detect Ada packages. Examples:
source: Build-Depends on gnat
source: Build-Depends on gnat-X (would make the call to gnatgcc
                    --version unneeded in the Makefile snippet).
-dev: Depends on gnat
-dev: Depends on gnat-X or includes ada:Depends
-doc/-bin if available Suggests: gnat

--
Prospective

See if library_symbol_policy in the project can be used to generate a
list of symbol versions in the Debian way.

Upload Debian tags for libraries with debtags --upload? Some tags can
be automatically deduced.

Once directories.gpr is correctly defined, parse it the
to know were things must be installed.
The real problem will be to detect arch-dependent sources/projects.

Ignoring Library_Version has its counterparts (gtkada upstream uses a
unusual soname).

See if the gnatcoll API is more stable than the libgpr API.
